apt 3.1.11 commandline package manager

Classes | Functions
cachefilter.h File Reference
`#include <apt-pkg/pkgcache.h>`
`#include <memory>`
`#include <string>`
`#include <string_view>`
`#include <vector>`
`#include <regex.h>`

Go to the source code of this file.

## Classes
class | Matcher
class | PackageMatcher
class | TrueMatcher
class | FalseMatcher
class | NOTMatcher
class | ANDMatcher
class | ORMatcher
class | PackageNameMatchesRegEx
class | PackageNameMatchesFnmatch
class | PackageArchitectureMatchesSpecification
class | PackageIsNewInstall

## Functions
APT_PUBLIC std::unique_ptr< APT::CacheFilter::Matcher > | ParsePattern (std::string_view pattern, pkgCacheFile *file)
| Parse a pattern, return nullptr or pattern.

## Detailed Description

Collection of functor classes